﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization
Imports System.Xml

Namespace WebService

    'This source code was auto-generated by xsd, Version=2.0.50727.3038.
    '

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSFulfilmentResponse

        Private dateTimeStampField As CTSFulfilmentResponseDateTimeStamp

        Private targetFulfilmentSiteField As CTSFulfilmentResponseTargetFulfilmentSite

        Private successFlagField As CTSFulfilmentResponseSuccessFlag

        Private fulfillingSiteOrderNumberField As CTSFulfilmentResponseFulfillingSiteOrderNumber

        Private iBTOutNumberField As CTSFulfilmentResponseIBTOutNumber

        Private orderHeaderField As CTSFulfilmentResponseOrderHeader

        Private orderLinesField() As CTSFulfilmentResponseOrderLine

        '''<remarks/>
        Public Property DateTimeStamp() As CTSFulfilmentResponseDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(ByVal value As CTSFulfilmentResponseDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property TargetFulfilmentSite() As CTSFulfilmentResponseTargetFulfilmentSite
            Get
                Return Me.targetFulfilmentSiteField
            End Get
            Set(ByVal value As CTSFulfilmentResponseTargetFulfilmentSite)
                Me.targetFulfilmentSiteField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SuccessFlag() As CTSFulfilmentResponseSuccessFlag
            Get
                Return Me.successFlagField
            End Get
            Set(ByVal value As CTSFulfilmentResponseSuccessFlag)
                Me.successFlagField = value
            End Set
        End Property

        '''<remarks/>
        Public Property FulfillingSiteOrderNumber() As CTSFulfilmentResponseFulfillingSiteOrderNumber
            Get
                Return Me.fulfillingSiteOrderNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseFulfillingSiteOrderNumber)
                Me.fulfillingSiteOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property IBTOutNumber() As CTSFulfilmentResponseIBTOutNumber
            Get
                Return Me.iBTOutNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseIBTOutNumber)
                Me.iBTOutNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property OrderHeader() As CTSFulfilmentResponseOrderHeader
            Get
                Return Me.orderHeaderField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeader)
                Me.orderHeaderField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlArrayItemAttribute("OrderLine", IsNullable:=False)> _
        Public Property OrderLines() As CTSFulfilmentResponseOrderLine()
            Get
                Return Me.orderLinesField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLine())
                Me.orderLinesField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseDateTimeStamp

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseTargetFulfilmentSite

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseSuccessFlag

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseFulfillingSiteOrderNumber

        Private validationStatusField As String

        Private valueField As String

        <Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseIBTOutNumber

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeader

        Private sourceField As CTSFulfilmentResponseOrderHeaderSource

        Private sourceOrderNumberField As CTSFulfilmentResponseOrderHeaderSourceOrderNumber

        Private sellingStoreCodeField As CTSFulfilmentResponseOrderHeaderSellingStoreCode

        Private sellingStoreOrderNumberField As CTSFulfilmentResponseOrderHeaderSellingStoreOrderNumber

        Private sellingStoreTillField As CTSFulfilmentResponseOrderHeaderSellingStoreTill

        Private sellingStoreTransactionField As CTSFulfilmentResponseOrderHeaderSellingStoreTransaction

        Private requiredDeliveryDateField As CTSFulfilmentResponseOrderHeaderRequiredDeliveryDate

        Private deliveryChargeField As CTSFulfilmentResponseOrderHeaderDeliveryCharge

        Private totalOrderValueField As CTSFulfilmentResponseOrderHeaderTotalOrderValue

        Private saleDateField As CTSFulfilmentResponseOrderHeaderSaleDate

        Private oMOrderNumberField As CTSFulfilmentResponseOrderHeaderOMOrderNumber

        Private orderStatusField As CTSFulfilmentResponseOrderHeaderOrderStatus

        Private customerAccountNoField As CTSFulfilmentResponseOrderHeaderCustomerAccountNo

        Private customerNameField As CTSFulfilmentResponseOrderHeaderCustomerName

        Private customerAddressLine1Field As CTSFulfilmentResponseOrderHeaderCustomerAddressLine1

        Private customerAddressLine2Field As CTSFulfilmentResponseOrderHeaderCustomerAddressLine2

        Private customerAddressTownField As CTSFulfilmentResponseOrderHeaderCustomerAddressTown

        Private customerAddressLine4Field As CTSFulfilmentResponseOrderHeaderCustomerAddressLine4

        Private customerPostcodeField As CTSFulfilmentResponseOrderHeaderCustomerPostcode

        Private deliveryAddressLine1Field As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine1

        Private deliveryAddressLine2Field As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine2

        Private deliveryAddressTownField As CTSFulfilmentResponseOrderHeaderDeliveryAddressTown

        Private deliveryAddressLine4Field As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine4

        Private deliveryPostcodeField As CTSFulfilmentResponseOrderHeaderDeliveryPostcode

        Private contactPhoneHomeField As CTSFulfilmentResponseOrderHeaderContactPhoneHome

        Private contactPhoneWorkField As CTSFulfilmentResponseOrderHeaderContactPhoneWork

        Private contactPhoneMobileField As CTSFulfilmentResponseOrderHeaderContactPhoneMobile

        Private contactEmailField As CTSFulfilmentResponseOrderHeaderContactEmail

        Private deliveryInstructionsField As CTSFulfilmentResponseOrderHeaderDeliveryInstructions

        Private toBeDeliveredField As CTSFulfilmentResponseOrderHeaderToBeDelivered

        Private extendedLeadTimeField As CTSFulfilmentResponseOrderHeaderExtendedLeadTime

        Private deliveryContactNameField As CTSFulfilmentResponseOrderHeaderDeliveryContactName

        Private deliveryContactPhoneField As CTSFulfilmentResponseOrderHeaderDeliveryContactPhone

        '''<remarks/>
        Public Property Source() As CTSFulfilmentResponseOrderHeaderSource
            Get
                Return Me.sourceField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As CTSFulfilmentResponseOrderHeaderSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreCode() As CTSFulfilmentResponseOrderHeaderSellingStoreCode
            Get
                Return Me.sellingStoreCodeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSellingStoreCode)
                Me.sellingStoreCodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreOrderNumber() As CTSFulfilmentResponseOrderHeaderSellingStoreOrderNumber
            Get
                Return Me.sellingStoreOrderNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSellingStoreOrderNumber)
                Me.sellingStoreOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreTill() As CTSFulfilmentResponseOrderHeaderSellingStoreTill
            Get
                Return Me.sellingStoreTillField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSellingStoreTill)
                Me.sellingStoreTillField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingStoreTransaction() As CTSFulfilmentResponseOrderHeaderSellingStoreTransaction
            Get
                Return Me.sellingStoreTransactionField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSellingStoreTransaction)
                Me.sellingStoreTransactionField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RequiredDeliveryDate() As CTSFulfilmentResponseOrderHeaderRequiredDeliveryDate
            Get
                Return Me.requiredDeliveryDateField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderRequiredDeliveryDate)
                Me.requiredDeliveryDateField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryCharge() As CTSFulfilmentResponseOrderHeaderDeliveryCharge
            Get
                Return Me.deliveryChargeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryCharge)
                Me.deliveryChargeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderValue() As CTSFulfilmentResponseOrderHeaderTotalOrderValue
            Get
                Return Me.totalOrderValueField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderTotalOrderValue)
                Me.totalOrderValueField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SaleDate() As CTSFulfilmentResponseOrderHeaderSaleDate
            Get
                Return Me.saleDateField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderSaleDate)
                Me.saleDateField = value
            End Set
        End Property

        '''<remarks/>
        Public Property OMOrderNumber() As CTSFulfilmentResponseOrderHeaderOMOrderNumber
            Get
                Return Me.oMOrderNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderOMOrderNumber)
                Me.oMOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property OrderStatus() As CTSFulfilmentResponseOrderHeaderOrderStatus
            Get
                Return Me.orderStatusField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderOrderStatus)
                Me.orderStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAccountNo() As CTSFulfilmentResponseOrderHeaderCustomerAccountNo
            Get
                Return Me.customerAccountNoField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerAccountNo)
                Me.customerAccountNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerName() As CTSFulfilmentResponseOrderHeaderCustomerName
            Get
                Return Me.customerNameField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerName)
                Me.customerNameField = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressLine1() As CTSFulfilmentResponseOrderHeaderCustomerAddressLine1
            Get
                Return Me.customerAddressLine1Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerAddressLine1)
                Me.customerAddressLine1Field = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine2() As CTSFulfilmentResponseOrderHeaderCustomerAddressLine2
            Get
                Return Me.customerAddressLine2Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerAddressLine2)
                Me.customerAddressLine2Field = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressTown() As CTSFulfilmentResponseOrderHeaderCustomerAddressTown
            Get
                Return Me.customerAddressTownField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerAddressTown)
                Me.customerAddressTownField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine4() As CTSFulfilmentResponseOrderHeaderCustomerAddressLine4
            Get
                Return Me.customerAddressLine4Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerAddressLine4)
                Me.customerAddressLine4Field = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerPostcode() As CTSFulfilmentResponseOrderHeaderCustomerPostcode
            Get
                Return Me.customerPostcodeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderCustomerPostcode)
                Me.customerPostcodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressLine1() As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine1
            Get
                Return Me.deliveryAddressLine1Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine1)
                Me.deliveryAddressLine1Field = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine2() As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine2
            Get
                Return Me.deliveryAddressLine2Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine2)
                Me.deliveryAddressLine2Field = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressTown() As CTSFulfilmentResponseOrderHeaderDeliveryAddressTown
            Get
                Return Me.deliveryAddressTownField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryAddressTown)
                Me.deliveryAddressTownField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine4() As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine4
            Get
                Return Me.deliveryAddressLine4Field
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryAddressLine4)
                Me.deliveryAddressLine4Field = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryPostcode() As CTSFulfilmentResponseOrderHeaderDeliveryPostcode
            Get
                Return Me.deliveryPostcodeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryPostcode)
                Me.deliveryPostcodeField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneHome() As CTSFulfilmentResponseOrderHeaderContactPhoneHome
            Get
                Return Me.contactPhoneHomeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderContactPhoneHome)
                Me.contactPhoneHomeField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneWork() As CTSFulfilmentResponseOrderHeaderContactPhoneWork
            Get
                Return Me.contactPhoneWorkField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderContactPhoneWork)
                Me.contactPhoneWorkField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneMobile() As CTSFulfilmentResponseOrderHeaderContactPhoneMobile
            Get
                Return Me.contactPhoneMobileField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderContactPhoneMobile)
                Me.contactPhoneMobileField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactEmail() As CTSFulfilmentResponseOrderHeaderContactEmail
            Get
                Return Me.contactEmailField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderContactEmail)
                Me.contactEmailField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryInstructions() As CTSFulfilmentResponseOrderHeaderDeliveryInstructions
            Get
                Return Me.deliveryInstructionsField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryInstructions)
                Me.deliveryInstructionsField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ToBeDelivered() As CTSFulfilmentResponseOrderHeaderToBeDelivered
            Get
                Return Me.toBeDeliveredField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderToBeDelivered)
                Me.toBeDeliveredField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ExtendedLeadTime() As CTSFulfilmentResponseOrderHeaderExtendedLeadTime
            Get
                Return Me.extendedLeadTimeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderExtendedLeadTime)
                Me.extendedLeadTimeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactName() As CTSFulfilmentResponseOrderHeaderDeliveryContactName
            Get
                Return Me.deliveryContactNameField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryContactName)
                Me.deliveryContactNameField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactPhone() As CTSFulfilmentResponseOrderHeaderDeliveryContactPhone
            Get
                Return Me.deliveryContactPhoneField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryContactPhone)
                Me.deliveryContactPhoneField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSource

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSourceOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSellingStoreCode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSellingStoreOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSellingStoreTill

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSellingStoreTransaction

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderRequiredDeliveryDate

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryCharge

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderTotalOrderValue

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderSaleDate

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderOMOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderOrderStatus

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerAccountNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerName

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerAddressLine1

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerAddressLine2

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerAddressTown

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerAddressLine4

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderCustomerPostcode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryAddressLine1

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryAddressLine2

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryAddressTown

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryAddressLine4

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryPostcode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderContactPhoneHome

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderContactPhoneWork

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderContactPhoneMobile

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderContactEmail

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryInstructions

        Private instructionLineField() As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLine

        '''<remarks/>
        <Xml.Serialization.XmlElementAttribute("InstructionLine")> _
        Public Property InstructionLine() As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLine()
            Get
                Return Me.instructionLineField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLine())
                Me.instructionLineField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLine

        Private lineNoField As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo

        Private lineTextField As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineText

        '''<remarks/>
        Public Property LineNo() As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo
            Get
                Return Me.lineNoField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo)
                Me.lineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LineText() As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineText
            Get
                Return Me.lineTextField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineText)
                Me.lineTextField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryInstructionsInstructionLineLineText

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderToBeDelivered

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderExtendedLeadTime

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryContactName

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderHeaderDeliveryContactPhone

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
            End Set
        End Property

    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLine
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private sellingStoreLineNoField As CTSFulfilmentResponseOrderLineSellingStoreLineNo

        Private oMOrderLineNoField As CTSFulfilmentResponseOrderLineOMOrderLineNo

        Private lineStatusField As CTSFulfilmentResponseOrderLineLineStatus

        Private productCodeField As CTSFulfilmentResponseOrderLineProductCode

        Private productDescriptionField As CTSFulfilmentResponseOrderLineProductDescription

        Private totalOrderQuantityField As CTSFulfilmentResponseOrderLineTotalOrderQuantity

        Private quantityTakenField As CTSFulfilmentResponseOrderLineQuantityTaken

        Private uOMField As CTSFulfilmentResponseOrderLineUOM

        Private lineValueField As CTSFulfilmentResponseOrderLineLineValue

        Private deliveryChargeItemField As CTSFulfilmentResponseOrderLineDeliveryChargeItem

        Private sellingPriceField As CTSFulfilmentResponseOrderLineSellingPrice

        Private fulfilmentSiteField As CTSFulfilmentResponseOrderLineFulfilmentSite

        Private fulfilmentSiteOrderLineNumberField As CTSFulfilmentResponseOrderLineFulfilmentSiteOrderLineNumber

        '''<remarks/>
        Public Property SellingStoreLineNo() As CTSFulfilmentResponseOrderLineSellingStoreLineNo
            Get
                Return Me.sellingStoreLineNoField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineSellingStoreLineNo)
                Me.sellingStoreLineNoField = value
                Me.RaisePropertyChanged("SellingStoreLineNo")
            End Set
        End Property

        '''<remarks/>
        Public Property OMOrderLineNo() As CTSFulfilmentResponseOrderLineOMOrderLineNo
            Get
                Return Me.oMOrderLineNoField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineOMOrderLineNo)
                Me.oMOrderLineNoField = value
                Me.RaisePropertyChanged("OMOrderLineNo")
            End Set
        End Property

        '''<remarks/>
        Public Property LineStatus() As CTSFulfilmentResponseOrderLineLineStatus
            Get
                Return Me.lineStatusField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineLineStatus)
                Me.lineStatusField = value
                Me.RaisePropertyChanged("LineStatus")
            End Set
        End Property

        '''<remarks/>
        Public Property ProductCode() As CTSFulfilmentResponseOrderLineProductCode
            Get
                Return Me.productCodeField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineProductCode)
                Me.productCodeField = value
                Me.RaisePropertyChanged("ProductCode")
            End Set
        End Property

        '''<remarks/>
        Public Property ProductDescription() As CTSFulfilmentResponseOrderLineProductDescription
            Get
                Return Me.productDescriptionField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineProductDescription)
                Me.productDescriptionField = value
                Me.RaisePropertyChanged("ProductDescription")
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderQuantity() As CTSFulfilmentResponseOrderLineTotalOrderQuantity
            Get
                Return Me.totalOrderQuantityField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineTotalOrderQuantity)
                Me.totalOrderQuantityField = value
                Me.RaisePropertyChanged("TotalOrderQuantity")
            End Set
        End Property

        '''<remarks/>
        Public Property QuantityTaken() As CTSFulfilmentResponseOrderLineQuantityTaken
            Get
                Return Me.quantityTakenField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineQuantityTaken)
                Me.quantityTakenField = value
                Me.RaisePropertyChanged("QuantityTaken")
            End Set
        End Property

        '''<remarks/>
        Public Property UOM() As CTSFulfilmentResponseOrderLineUOM
            Get
                Return Me.uOMField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineUOM)
                Me.uOMField = value
                Me.RaisePropertyChanged("UOM")
            End Set
        End Property

        '''<remarks/>
        Public Property LineValue() As CTSFulfilmentResponseOrderLineLineValue
            Get
                Return Me.lineValueField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineLineValue)
                Me.lineValueField = value
                Me.RaisePropertyChanged("LineValue")
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryChargeItem() As CTSFulfilmentResponseOrderLineDeliveryChargeItem
            Get
                Return Me.deliveryChargeItemField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineDeliveryChargeItem)
                Me.deliveryChargeItemField = value
                Me.RaisePropertyChanged("DeliveryChargeItem")
            End Set
        End Property

        '''<remarks/>
        Public Property SellingPrice() As CTSFulfilmentResponseOrderLineSellingPrice
            Get
                Return Me.sellingPriceField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineSellingPrice)
                Me.sellingPriceField = value
                Me.RaisePropertyChanged("SellingPrice")
            End Set
        End Property

        '''<remarks/>
        Public Property FulfilmentSite() As CTSFulfilmentResponseOrderLineFulfilmentSite
            Get
                Return Me.fulfilmentSiteField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineFulfilmentSite)
                Me.fulfilmentSiteField = value
                Me.RaisePropertyChanged("FulfilmentSite")
            End Set
        End Property

        '''<remarks/>
        Public Property FulfilmentSiteOrderLineNumber() As CTSFulfilmentResponseOrderLineFulfilmentSiteOrderLineNumber
            Get
                Return Me.fulfilmentSiteOrderLineNumberField
            End Get
            Set(ByVal value As CTSFulfilmentResponseOrderLineFulfilmentSiteOrderLineNumber)
                Me.fulfilmentSiteOrderLineNumberField = value
                Me.RaisePropertyChanged("FulfilmentSiteOrderLineNumber")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineSellingStoreLineNo
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineOMOrderLineNo
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineLineStatus
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineProductCode
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineProductDescription
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineTotalOrderQuantity
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineQuantityTaken
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineUOM
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineLineValue
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineDeliveryChargeItem
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Boolean)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineSellingPrice
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Decimal)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineFulfilmentSite
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(ByVal value As String)
                Me.validationStatusField = value
                Me.RaisePropertyChanged("ValidationStatus")
            End Set
        End Property

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class

    '''<remarks/>
    <CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     SerializableAttribute(), _
     Diagnostics.DebuggerStepThroughAttribute(), _
     ComponentModel.DesignerCategoryAttribute("code"), _
     Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSFulfilmentResponseOrderLineFulfilmentSiteOrderLineNumber
        Inherits Object
        Implements ComponentModel.INotifyPropertyChanged

        Private valueField As String

        '''<remarks/>
        <Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As String)
                Me.valueField = value
                Me.RaisePropertyChanged("Value")
            End Set
        End Property

        Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements ComponentModel.INotifyPropertyChanged.PropertyChanged

        Protected Sub RaisePropertyChanged(ByVal propertyName As String)
            Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
            If (Not (propertyChanged) Is Nothing) Then
                propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
            End If
        End Sub
    End Class
    '
End Namespace
